<?php
/**
 * Copyright 2013 Drexel University
 */

$attribute = $value = $units = null;
if ($_GET['attribute'] != "")
    $attribute = $_GET['attribute'];
if ($_GET['value'] != "")
    $value = $_GET['value'];
if ($_GET['units'] != "")
    $units = $_GET['units'];

if ($_GET['attribute_exact'] == 'true')
    $attribute_match = '=';
else {
    $attribute_match = 'like';
    $attribute = '%' . $attribute . '%';
}
if ($_GET['value_exact'] == 'true')
    $value_match = '=';
else {
    $value_match = 'like';
    $value = '%' . $value . '%';
}
if ($_GET['units_exact'] == 'true')
    $units_match = '=';
else {
    $units_match = 'like';
    $units = '%' . $units . '%';
}

require_once("irods/Prods.inc.php");
require_once("RodsWiki.config.php");

// make an iRODS account object for connection
$account = new RODSAccount($configIrodsHost, $configIrodsPort, $configIrodsUser, $configIrodsPass);

$flds = array("COL_DATA_NAME" => NULL, "COL_D_DATA_ID" => NULL,
    "COL_DATA_TYPE_NAME" => NULL, "COL_D_RESC_NAME" => NULL,
    "COL_DATA_SIZE" => NULL, "COL_D_OWNER_NAME" => NULL, "COL_D_OWNER_ZONE" => NULL,
    "COL_D_CREATE_TIME" => NULL, "COL_D_MODIFY_TIME" => NULL,
    "COL_COLL_NAME" => NULL, "COL_D_COMMENTS" => NULL);

$select = new RODSGenQueSelFlds(array_keys($flds), array_values($flds));
$condition = new RODSGenQueConds();
$condition->add('COL_META_DATA_ATTR_NAME', $attribute_match, $attribute);
$condition->add('COL_META_DATA_ATTR_VALUE', $value_match, $value);
$condition->add('COL_META_DATA_ATTR_UNITS', $units_match, $units);
$condition->add('COL_COLL_NAME', 'like', $configIrodsRootPath . '%'); // recursive search

$conn = RODSConnManager::getConn($account);
$results = $conn->query($select, $condition, 0, -1);
RODSConnManager::releaseConn($conn);

$result_values = $results->getValues();

if (sizeof($result_values['COL_DATA_NAME']) > 0) {
    echo '<table width="100%">';
    echo '<tr align="left"><th>iRODS Filename</th><th>Date Created</th><th>Date Modified</th><th>iRODS Path</th></tr>';
    for ($i = 0; $i < sizeof($result_values['COL_DATA_NAME']); $i++) {
        echo "<tr><td><a href=\"http://" . $_SERVER['SERVER_NAME'] . '/' . explode('/', $_SERVER['SCRIPT_NAME'], 3)[1] . "/index.php/Special:IrodsMetadataPage?filename=" . $result_values['COL_COLL_NAME'][$i] . '/' . $result_values['COL_DATA_NAME'][$i] . '">' . $result_values['COL_DATA_NAME'][$i] . "</a></td><td>" . date("Y-m-d H:i:s", $result_values['COL_D_CREATE_TIME'][$i]) . "</td><td>" . date("Y-m-d H:i:s", $result_values['COL_D_MODIFY_TIME'][$i]) . "</td><td>" . $result_values['COL_COLL_NAME'][$i] . "/" . $result_values['COL_DATA_NAME'][$i] . "</td></tr>";
    }
    echo '</table>';
} else {
    echo "No files found.";
}
?>

